#!/bin/bash

declare -ri EXIT_FAILURE=1

if [ $# != 1 ] ; then
  echo "usage:  [Input XstarFile]  " ; exit $EXIT_FAILURE
fi

xstar=$1
segy=${xstar%%.xstar}.sgy

echo converting $xstar to $segy


####################################
# Convert Xstar to Segy.  Must use 10Aug2004 version of SIOSEIS or newer
# course and speed located in i63 & i64

# xstar variable dummies is a switch indicating how the program should treat 
# missing pings or a missing ducer on the dual ducer xstar. When dummies = 2, 
# when 1 ducer is missing, the single trace is scaled and output.  Missing pings 
# are replaced by dead traces.

sioseis << EOF
procs diskin xstar header diskoa end
!procs diskin  header diskoa end

diskin
    format edgetech
    ipath $xstar end
end

xstar
   type 2 dummies 2 end
end

header
     fno 0 lno 999999 ftr 0 ltr 999999
     l3 = l1 l6 = l3 end
end

diskoa
  opath $segy end
end

end
EOF
echo "Done."

